> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an event

> Retrieves a specific event by ID.



## OpenAPI

````yaml GET /projects/{project_id}/events/{event_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/events/{event_id}:
    get:
      summary: Retrieve an event
      description: Retrieves a specific event by ID.
      operationId: retrieve-event
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: event_id
          in: path
          schema:
            type: string
          required: true
          description: >-
            Unique event ID in the `evt_XXXX` syntax. For example:
            `evt_DLnYvzbjSujNAvXE`
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: evt_DLnYvzbjSujNAvXE
                    slug: biochar-delivery
                    event_type: Biochar Delivery
                    tracking_id: MG1003
                    start_time: '2024-06-04T00:00:00.000Z'
                    end_time: '2024-06-04T23:59:59.000Z'
                    data_points:
                      - id: in_JuGzRS08MbVSEkCj
                        slug: total-ash-delivered-wet-us-ton
                        data_point_type: Total Ash Delivered (wet mass) U.S. ton
                        value: 290.6
                        unit: U.S. ton
                        status: complete
                      - id: in_c3krFTxCxJSQR5Rc
                        slug: distance-biochar-transported
                        data_point_type: Biochar distance transported
                        value: 15.3
                        unit: mile
                        status: complete
                      - id: in_AIKqFEtr5OpAqram
                        slug: biochar-end-use
                        data_point_type: Biochar end use
                        value: soil amendment
                        unit: null
                        status: complete
                    locations:
                      - id: loc_8XF1QtGs79oX9A6k
                        lat: '40.4773493'
                        long: '-124.1226179'
                        name: Production Facility
                        address:
                          name: Production Facility
                          street_address_1: null
                          street_address_2: null
                          city: null
                          state: null
                          postal_code: null
                          country: CA
                      - id: loc_8XF1QtGs79oX9A6k
                        lat: '41.2733453'
                        long: '-122.2246676'
                        name: Customer Location
                        address:
                          name: Customer Location
                          street_address_1: null
                          street_address_2: null
                          city: null
                          state: null
                          postal_code: null
                          country: CA
                    evidences:
                      - id: 1
                        url: XXXXXXX
                        evidence_type: file
                        name: Receipt.pdf
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  statusCode:
                    type: integer
                    example: 404
                    default: 0
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: record not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````